Skip to main content
PATCH
/
preApprovals
/
{id}
Update Pre Approval
curl --request PATCH \
  --url https://commerce.driv.ly/api/preApprovals/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updatedAt": "<string>",
  "createdAt": "<string>",
  "customer": 123,
  "title": "<string>",
  "status": "Processing",
  "firstName": "<string>",
  "middleInitial": "<string>",
  "lastName": "<string>",
  "suffix": "JR",
  "address": "<string>",
  "city": "<string>",
  "state": "AA",
  "zip": "<string>",
  "phone": "<string>",
  "email": "<string>",
  "income": "<string>",
  "ipAddress": "<string>",
  "userAgent": "<string>",
  "isp": "<string>",
  "sessionId": "<string>",
  "resend": "<string>",
  "AppId": 123,
  "segmentationBand": "Excellent (750-900)",
  "estimatedInterestRate": "<string>",
  "estimatedLoanTerm": "<string>",
  "lead": 123
}
'
{
  "doc": {
    "updatedAt": "<string>",
    "createdAt": "<string>",
    "customer": 123,
    "title": "<string>",
    "status": "Processing",
    "firstName": "<string>",
    "middleInitial": "<string>",
    "lastName": "<string>",
    "suffix": "JR",
    "address": "<string>",
    "city": "<string>",
    "state": "AA",
    "zip": "<string>",
    "phone": "<string>",
    "email": "<string>",
    "income": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "isp": "<string>",
    "sessionId": "<string>",
    "resend": "<string>",
    "AppId": 123,
    "segmentationBand": "Excellent (750-900)",
    "estimatedInterestRate": "<string>",
    "estimatedLoanTerm": "<string>",
    "lead": 123
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

id of the Pre Approval

Query Parameters

depth
number<int32>

number of levels to automatically populate relationships and uploads

locale
string

retrieves document(s) in a specific locale

fallback-locale
string

specifies a fallback locale if no locale value exists

Body

application/json

Pre Approval to update

updatedAt
string
required
createdAt
string
required
customer
number | null
title
string | null
status
enum<string> | null
Available options:
Processing,
Error,
Processed,
Needs Info
firstName
string | null
middleInitial
string | null
lastName
string | null
suffix
enum<string> | null
Available options:
JR,
SR,
II,
III,
IV
address
string | null
city
string | null
state
enum<string> | null
Available options:
AA,
AE,
AK,
AL,
AR,
AS,
AZ,
CA,
CO,
CT,
DC,
DE,
FL,
FM,
GA,
GU,
HI,
IA,
ID,
IL,
IN,
KS,
KY,
LA,
MA,
MD,
ME,
MH,
MI,
MN,
MO,
MP,
MS,
MT,
NC,
ND,
NE,
NH,
NJ,
NM,
NV,
NY,
OH,
OK,
OR,
PA,
PR,
PW,
RI,
SC,
SD,
TN,
TX,
UT,
VA,
VI,
VT,
WA,
WI,
WV,
WY,
AP
zip
string | null
phone
string | null
email
string | null
income
string | null
ipAddress
string | null
userAgent
string | null
isp
string | null
sessionId
string | null
resend
string | null
AppId
number | null
segmentationBand
enum<string> | null
Available options:
Excellent (750-900),
Good (700-749),
Fair (650-699),
Fair (600-649),
OK (550-599),
Lower (300-549),
Unknown,
NS
estimatedInterestRate
string | null
estimatedLoanTerm
string | null
lead
number | null

Response

ok

doc
PreApproval · object
required
message
string
required